Tests a Eft Payment Callback
POST
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
paymentId*stringFormat
uuidX-Forwarded-For?string- body
overrideUrl?string|nullpaymentStatus?PaymentStateValue in
"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"callbackVersion?CallbackVersionValue in
"V1""V2"OK
application/json- response
content?info?array<>|nullcurl -X POST 'https://www.api.revio.co.za/v2/callback/test/payment/eft/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response200
{ "content": { "status": "NEW", "paymentId": "string", "profileCode": "string", "code": "string", "description": "string", "externalReference": "string", "fileNameReference": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string" }, "info": [ { "url": "string", "success": true, "error": null } ]}